Separator

Functions
Separator

Separator is a very thin object used to separate other objects. More...

## Functions
EOAPI void | elm_obj_separator_horizontal_set (Eina_Bool horizontal)
| Set the horizontal mode of a separator object. More...
EOAPI Eina_Bool | elm_obj_separator_horizontal_get (void)
| Get the horizontal mode of a separator object. More...
void | elm_separator_horizontal_set (Elm_Separator *obj, Eina_Bool horizontal)
| Set the horizontal mode of a separator object. More...
Eina_Bool | elm_separator_horizontal_get (const Elm_Separator *obj)
| Get the horizontal mode of a separator object. More...
Evas_Object * | elm_separator_add (Evas_Object *parent)
| Add a separator object to `parent`. More...

## Detailed Description

Separator is a very thin object used to separate other objects.

A separator can be vertical or horizontal.

This widget inherits from the Layout one, so that all the functions acting on it also work for separator objects.

This widget emits the signals coming from Layout.

Separator example is a good example of how to use a separator.

## Function Documentation

## ◆ elm_obj_separator_horizontal_get()

EOAPI Eina_Bool elm_obj_separator_horizontal_get | ( | void |  | ) |

Get the horizontal mode of a separator object.

Returns
  If true, the separator is horizontal

Referenced by elm_separator_horizontal_get().

## ◆ elm_obj_separator_horizontal_set()

EOAPI void elm_obj_separator_horizontal_set | ( | Eina_Bool | horizontal | ) |

Set the horizontal mode of a separator object.

Parameters

  [in] | horizontal | If true, the separator is horizontal

Referenced by elm_separator_horizontal_set().

## ◆ elm_separator_add()

Evas_Object* elm_separator_add | ( | Evas_Object * | parent | ) |

Add a separator object to `parent`.

Parameters

  parent | The parent object

Returns
  The separator object, or NULL upon failure

## ◆ elm_separator_horizontal_get()

Eina_Bool elm_separator_horizontal_get | ( | const Elm_Separator * | obj | ) |

Get the horizontal mode of a separator object.

Returns
  If true, the separator is horizontal

References elm_obj_separator_horizontal_get().

## ◆ elm_separator_horizontal_set()

void elm_separator_horizontal_set | ( | Elm_Separator * | obj,
|  | Eina_Bool | horizontal
| ) |  |

Set the horizontal mode of a separator object.

Parameters

  [in] | horizontal | If true, the separator is horizontal

References elm_obj_separator_horizontal_set().